/*
 * 293_665Hz_101_RO_1_8.c
 * 
 * 06.08.2016 Anpassung an attiny85-20
 * 
 * Output PB0
 * Used Attiny85-20 20MHz external 
 * 
 * compile:
 * avr-gcc -Wall -Os -mmcu=attiny85 293_665Hz_101_RO_1_8.c -o 293_665Hz_101_RO_1_8.c.elf
 * avr-objcopy -O ihex -j .text -j .data 293_665Hz_101_RO_1_8.c.elf 293_665Hz_101_RO_1_8.c.hex
 * avrdude -p attiny85 -c avrisp2 -U flash:w:293_665Hz_101_RO_1_8.c.hex
 * 
 * 
 * Fuse setting:
 * avrdude -p attiny85 -c avrisp2 -U lfuse:w:0xFF:m   // external Quartz, prescaler=1
 * avrdude -p m328p -c avrisp2 -U hfuse:w:0xd9:m 
 * avrdude -p m328p -c avrisp2 -U efuse:w:0x07:m 
 * 
 * 
 * avrdude -p attiny85 -c avrisp2                  ; console 
 * avrdude: Device signature = 0x1e930b            ; default output for attiny85-20
 * avrdude: safemode: Fuses OK (E:FF, H:DF, L:62)  ; default output for attiny85-20
 * avrdude: safemode: Fuses OK (E:, H:, L:FF)      ; output for attiny external Quarz
 * 
 * 
 * 
 * 20241104
 * Adapted for 293.665Hz this is RO on a 1.8 Shakuhachi (D4)
 * 
 * 
 */


#define F_CPU 20E6  // 20Mhz clock

#include <util/delay.h>		 	// needs F_CPU
#include <avr/io.h>

#define  Hz 1702         // microsec delay for 293.665Hz output
int main(void)

{
  DDRB = 0b00000001;        // port BP0 output
  
  while(1) // for ever
  {
    PORTB = 0x20; // PB5 auf High = Led an    // wasting time for fine adjustment
    PORTB = 0x00; // PB5 auf Low = Led aus
    PORTB = 0x20; // PB5 auf High = Led an
    PORTB = 0x00; // PB5 auf Low = Led aus
    PORTB = 0x20; // PB5 auf High = Led an
    PORTB = 0x00; // PB5 auf Low = Led aus
    PORTB = 0x20; // PB5 auf High = Led an
    PORTB = 0x00; // PB5 auf Low = Led aus 
    PORTB = 0x20; // PB5 auf High = Led an
    PORTB = 0x00; // PB5 auf Low = Led aus 
    PORTB = 0x20; // PB5 auf High = Led an
    PORTB = 0x00; // PB5 auf Low = Led aus 
    PORTB = 0b00000001;      // PC0 High      // delay time
    _delay_us(Hz);
    PORTB = 0x20; // PB5 auf High = Led an    // wasting time for fine adjustment
    PORTB = 0x00; // PB5 auf Low = Led aus 
    PORTB = 0x20; // PB5 auf High = Led an
    PORTB = 0x00; // PB5 auf Low = Led aus 
    PORTB = 0x20; // PB5 auf High = Led an
    PORTB = 0x00; // PB5 auf Low = Led aus
    PORTB = 0x20; // PB5 auf High = Led an
    PORTB = 0x00; // PB5 auf Low = Led aus
    PORTB = 0x20; // PB5 auf High = Led an
    PORTB = 0x00; // PB5 auf Low = Led aus
    PORTB = 0x20; // PB5 auf High = Led an
    PORTB = 0x00; // PB5 auf Low = Led aus 
    PORTB = 0x00;               // PC0 Low
    _delay_us(Hz);
  }
  return 0;
}
